Package be.fgov.ehealth.dics.protocol.v4

# Class ConsultCompoundingIngredientType

java.lang.Object
be.fgov.ehealth.dics.core.v4.compounding.common.CompoundingIngredientKeyType
be.fgov.ehealth.dics.protocol.v4.ConsultCompoundingIngredientType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:33+02:00", comments="JAXB RI v4.0.5") public class ConsultCompoundingIngredientType extends CompoundingIngredientKeyType implements Serializable

Java class for ConsultCompoundingIngredientType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultCompoundingIngredientType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:core:v4:compounding:common}CompoundingIngredientKeyType">
           <sequence>
             <element name="Synonym" type="{urn:be:fgov:ehealth:dics:core:v4:compounding:common}SynonymType" maxOccurs="unbounded"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultCompoundingIngredientType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<SynonymType>`
  `getSynonyms()`
  Gets the value of the synonyms property.

  ### Methods inherited from class be.fgov.ehealth.dics.core.v4.compounding.common.CompoundingIngredientKeyType

  `getCode, getCodeType, setCode, setCodeType`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultCompoundingIngredientType

    public ConsultCompoundingIngredientType()

- ## Method Details

  - ### getSynonyms

    public List<SynonymType> getSynonyms()
    Gets the value of the synonyms property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the synonyms property.

    For example, to add a new item, do as follows:

         getSynonyms().add(newItem);

    Objects of the following type(s) are allowed in the list `SynonymType`

    Returns:
      The value of the synonyms property.